İçeriğe atla

MediaWiki:Gadget-FixWikiEditor.css

Deltarune Wiki sitesinden

Not: Yayımladıktan sonra değişiklikleri görmeniz için tarayıcınızın önbelleğini temizlemeniz gerekebilir.

  • Firefox / Safari: Shift tuşuna basılıyken Yeniden Yükle'ye tıklayın ya da Ctrl-F5 ya da Ctrl-R tıklayın (Mac için ⌘-R)
  • Google Chrome: Ctrl-Shift-R'ye basın. (Mac için ⌘-Shift-R)
  • Edge: Ctrl basılıyken Yenile'ye tıklayın ya da Ctrl-F5'e basın.
.wikiEditor-ui-toolbar {
	padding: 10px;
}

.wikiEditor-ui-toolbar .group > span {
	padding: 0 5px;
}

.ui-widget-content {
	background: var(--background-color-interactive);
	border-color: var(--border-color-base);
	color: var(--color-base);
	font-family: Rubik, sans-serif;
}

.ui-widget-content a {
	color: var(--color-progressive);
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
	background: var(--background-color-progressive) !important;
	border: 0 !important;
	color: var(--color-inverted-fixed);
	font-weight: bold;
}

.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus {
	background: var(--background-color-progressive-subtle);
	border: 0;
	color: var(--color-progressive);
}

body .ui-dialog .ui-widget-header {
	background: var(--background-color-neutral) !important;
	border-color: var(--border-color-base);
	color: var(--color-base);
}

body .ui-dialog .ui-icon-closethick {
	filter: var(--invert-on-dark);
}

@media screen and (max-width: 720px) {
	/* Fixes jQuery UI popups */
	.ui-dialog {
		box-sizing: border-box;
		max-width: 100%;
	}

	/* Adjusts the toolbar to mobile widths */
	.wikiEditor-ui-toolbar {
		display: flex;
		flex-wrap: wrap;
	}
	
	.wikiEditor-ui-toolbar .tabs,
	.wikiEditor-ui-toolbar .section-main,
	.wikiEditor-ui-toolbar .section-secondary,
	.wikiEditor-ui-toolbar .group {
		float: none;
	}
	
	.wikiEditor-ui-toolbar .section-main,
	.wikiEditor-ui-toolbar .section-secondary,
	.wikiEditor-ui-toolbar .group {
		border-right: 0;
		display: contents;
	}
	
	.wikiEditor-ui-toolbar .section-secondary .group {
		border-left: 0;
	}
	
	.wikiEditor-ui-toolbar .group > .tool {
		display: inline-block;
	}
	
	.wikiEditor-ui-toolbar .section-main {
		order: 0;
	}
	
	.wikiEditor-ui-toolbar .section-secondary .tool {
		order: 1;
	}
	
	.wikiEditor-ui-toolbar .tabs {
		order: 2;
	}
	
	.wikiEditor-ui-toolbar .sections {
		order: 3;
	}
	
	.ve-init-mw-editSwitch .oo-ui-labelElement-label {
		visibility: hidden;
		width: 0;
	}
	
	.ve-init-mw-editSwitch .oo-ui-popupToolGroup::after {
		content: attr(title);
		font-weight: bold;
		left: 40px;
		position: absolute;
		top: 10px;
	}
}
Konu ekle